## qiime 1.3.0

=== requirements.txt ===
PyCogent>=1.5
matplotlib=0.98.5.2-1
numpy>=1.3.0

## qiime 1.2.1

=== debian/changelog ===
qiime (1.2.1-6) experimental; urgency=low

  [Andreas Tille]
  * Dropped cdbs in favour of dh
  * Debhelper 8 (compat+control)
  * Use debian/{install,dirs) to enable better readable debian/rules
  * debian/rules:
    - override_dh_compress
    - override_dh_installchangelogs

  [Steffen Moeller]
  * Updates to debian/README.Debian
  * Policy updated to 3.9.2

 -- Steffen Moeller <moeller@debian.org>  Fri, 29 Apr 2011 22:56:37 +0200

qiime (1.2.1-ubuntu5) lucid; urgency=low

  * Fixed silly error in qiime wrapper script
  * Added uclust wrapper to deal with uclust being expected but missing

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 24 Mar 2011 16:52:43 +0000

qiime (1.2.1-ubuntu4) lucid; urgency=low

  * Fixed dependency - needs python-cogent >= 1.5

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 24 Mar 2011 15:33:03 +0000

qiime (1.2.1-ubuntu3) lucid; urgency=low

  * Moved .py scripts out of /usr/bin
  * Added /usr/bin/qiime wrapper script as per Bio-Linux
  * Added default configuration file
  * Cleaned up documentation
  * Added many dependencies (some of which are still not packaged) 

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 24 Mar 2011 11:35:58 +0000

qiime (1.2.1-ubuntu2) lucid; urgency=low

  * Pulled 1.2.1 source and tried a rebuild.
  * Fixed Lintian changelog warning.

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 22 Mar 2011 13:55:49 +0000

qiime (1.2.1-2) experimental; urgency=low

  * Initial release (Closes: #587275)
  * Fixed Python 2.6 incompatibility.

 -- Steffen Moeller <moeller@debian.org>  Wed, 02 Mar 2011 22:33:45 +0100

qiime (1.2.1-1) experimental; urgency=low

  * Corrected home page
  * Updated policy to 3.9.1
  * Updated debian/README.Debian

 -- Steffen Moeller <moeller@debian.org>  Wed, 02 Mar 2011 18:19:39 +0100

qiime (1.1.0-1) experimental; urgency=low

  * Initial release.

 -- Sri Girish Srinivasa Murthy <srigirish@evolbio.mpg.de>  Tue, 20 Jul 2010 00:03:02 +0200

=== debian/control ===
Source: qiime
Section: contrib/science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>, Tim Booth <tbooth@ceh.ac.uk>
Build-Depends: debhelper (>= 8), python, python-central, python-cogent, python-numpy, python-matplotlib
Standards-Version: 3.9.2
Homepage: http://qiime.sourceforge.net/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/qiime/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/qiime/trunk/
XS-Python-Version: >= 2.5

Package: qiime
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Depends}, ${python:Depends}, python-pynast, python-cogent ( >= 1.5 )
Recommends: blast2, cd-hit, denoiser, rdp-classifier, chimeraslayer, muscle, infernal, fasttree
Suggests: t-coffee, cytoscape
Conflicts: bio-linux-qiime
XB-Python-Version:  ${python:Versions}
Description: Quantitative Insights Into Microbial Ecology
 QIIME (canonically pronounced ‘Chime’) is a pipeline for performing
 microbial community analysis that integrates many third party tools which
 have become standard in the field. A standard QIIME analysis begins with
 sequence data from one or more sequencing platforms, including Sanger,
 Roche/454, and Illumina GAIIx. With all the underlying tools installed,
 of which not all are yet available in Debian (or any other Linux
 distribution), QIIME can perform library de-multiplexing and quality
 filtering; denoising with PyroNoise; OTU and representative set picking
 with uclust, cdhit, mothur, BLAST, or other tools; taxonomy assignment
 with BLAST or the RDP classifier; sequence alignment with PyNAST, muscle,
 infernal, or other tools; phylogeny reconstruction with FastTree, raxml,
 clearcut, or other tools; alpha diversity and rarefaction, including
 visualization of results, using over 20 metrics including Phylogenetic
 Diversity, chao1, and observed species; beta diversity and rarefaction,
 including visualization of results, using over 25 metrics including
 weighted and unweighted UniFrac, Euclidean distance, and Bray-Curtis;
 summarization and visualization of taxonomic composition of samples
 using pie charts and histograms; and many other features.
 .
 QIIME includes parallelization capabilities for many of the
 computationally intensive steps. By default, these are configured to
 utilize a mutli-core environment, and are easily configured to run in
 a cluster environment. QIIME is built in Python using the open-source
 PyCogent toolkit. It makes extensive use of unit tests, and is highly
 modular to facilitate custom analyses.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for Qiime
# Tim Booth <tbooth@ceh.ac.uk>, Andreas Tille <tille@debian.org>
# GPL

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_compress:
	dh_compress \
	    --exclude=.js \
	    --exclude=.sff \
	    --exclude=.qual \
	    --exclude=.fna \
	    --exclude=.fna.txt

override_dh_clean:
	dh_clean
	rm -rf doc/_build

export ROOTDIR=debian/`dh_listpackages`

#Lots of shuffling to be done...
# Python scripts go into /usr/lib/qiime/bin (not /usr/bin)
# Helper script goes into /usr/bin
# Setup scripts go into /usr/lib/qiime/shell
# Default configuration goes into /etc/qiime/default_qiime_config
# ...or maybe it should be copied to $HOME/.qiime_config on 1st run?
override_dh_install:
	dh_install
	mv $(ROOTDIR)/usr/bin/*.py  $(ROOTDIR)/usr/lib/qiime/bin
	install -m 755 debian/scripts/uclust $(ROOTDIR)/usr/lib/qiime/bin
	rm -rf $(ROOTDIR)/usr/lib/qiime/shell/.svn
	chmod -R a+rX $(ROOTDIR)/usr/lib/qiime/shell

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

## qiime 1.3.0

=== debian/changelog ===
qiime (1.3.0-1) unstable; urgency=low

  * Bringing qiime to Debian
  [Steffen]
  * Some reformatting of debian/control

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 26 Aug 2011 17:48:30 +0200

qiime (1.3.0-0ubuntu5) lucid; urgency=low

  * Very minor fix to scripts/shell/qiime_environment

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 16 Aug 2011 12:35:06 +0100

qiime (1.3.0-0ubuntu4) lucid; urgency=low

  * New upstream release.  Needs newer Python-Cogent
    and includes built-in denoiser, so I have now aliased
    denoiser to run the qiime wrapper.
  * As the upstream now contains a tiny compiled package I've had
    to make it arch dependent (support_files/denoiser/FlowgramAlignment
    code written in Haskell).
  * Added build dep on ghc6 for the same reson

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 19 Jul 2011 17:38:28 +0100

=== debian/control ===
Source: qiime
Section: contrib/science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>, Tim Booth <tbooth@ceh.ac.uk>
Build-Depends: debhelper (>= 8), cdbs, python, python-central, python-cogent ( >= 1.5.1 ), python-numpy, python-matplotlib, ghc6
Standards-Version: 3.9.2
Homepage: http://qiime.sourceforge.net/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/qiime/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/qiime/trunk/
XS-Python-Version: >= 2.6

Package: qiime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Depends}, ${python:Depends}, python-pynast (>= 1.1)|pynast (>= 1.1), python-cogent ( >= 1.5.1 )
Recommends: blast2 | blast+-legacy, cd-hit, rdp-classifier, chimeraslayer, muscle, infernal, fasttree, ampliconnoise, python-matplotlib, python-numpy
Conflicts: denoiser
Replaces: denoiser
#Provides: denoiser # matter of discussion
Suggests: t-coffee, cytoscape
XB-Python-Version:  ${python:Versions}
Description: Quantitative Insights Into Microbial Ecology
 QIIME (canonically pronounced ‘Chime’) is a pipeline for performing
 microbial community analysis that integrates many third party tools which
 have become standard in the field. A standard QIIME analysis begins with
 sequence data from one or more sequencing platforms, including
  * Sanger,
  * Roche/454, and 
  * Illumina GAIIx.
 With all the underlying tools installed,
 of which not all are yet available in Debian (or any other Linux
 distribution), QIIME can perform
  * library de-multiplexing and quality filtering;
  * denoising with PyroNoise;
  * OTU and representative set picking with uclust, cdhit, mothur, BLAST,
    or other tools;
  * taxonomy assignment with BLAST or the RDP classifier;
  * sequence alignment with PyNAST, muscle, infernal, or other tools;
  * phylogeny reconstruction with FastTree, raxml, clearcut, or other tools;
  * alpha diversity and rarefaction, including visualization of results,
    using over 20 metrics including Phylogenetic Diversity, chao1, and
    observed species;
  * beta diversity and rarefaction, including visualization of results,
    using over 25 metrics including weighted and unweighted UniFrac,
    Euclidean distance, and Bray-Curtis;
  * summarization and visualization of taxonomic composition of samples
    using pie charts and histograms
 and many other features.
 .
 QIIME includes parallelization capabilities for many of the
 computationally intensive steps. By default, these are configured to
 utilize a mutli-core environment, and are easily configured to run in
 a cluster environment. QIIME is built in Python using the open-source
 PyCogent toolkit. It makes extensive use of unit tests, and is highly
 modular to facilitate custom analyses.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#  FIXME - don't edit this file any more.  Pull Steffen's version and work from there.
#  Except that won't work with Ubuntu 10.04 so we're stuffed.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_PYTHON_SYSTEM=pycentral
export DEB_COMPRESS_EXCLUDE=.js .sff .qual .fna .fna.txt

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

export ROOTDIR=debian/`dh_listpackages`

# Apparently the override_dh_* mechanism doesn't work with the above includes??
# Yes, see http://lists.debian.org/debian-med/2011/03/msg00211.html
# TODO - redo this file as Andreas suggested.
clean::
	rm -rf doc/_build/*
	( cd qiime/support_files/denoiser/FlowgramAlignment && make clean ) || true
	rm -f qiime/support_files/denoiser/bin/*

#Lots of shuffling to be done...
# Python scripts go into /usr/lib/qiime/bin (not /usr/bin)
# Helper script goes into /usr/bin
# Setup scripts go into /usr/lib/qiime/shell
# Default configuration goes into /etc/qiime/default_qiime_config
# ...or maybe it should be copied to $HOME/.qiime_config on 1st run?
# Since 3.0, denoiser is aliased to Qiime
common-binary-fixup-arch::
	install -m 755 -d $(ROOTDIR)/usr/lib/qiime/bin
	install -m 755 -d $(ROOTDIR)/etc/qiime
	mv $(ROOTDIR)/usr/bin/*.py  $(ROOTDIR)/usr/lib/qiime/bin
	install -m 755 debian/scripts/qiime $(ROOTDIR)/usr/bin
	ln -sf qiime $(ROOTDIR)/usr/bin/denoiser
	install -m 755 debian/scripts/uclust $(ROOTDIR)/usr/lib/qiime/bin
	cp -R --no-preserve=all debian/scripts/shell $(ROOTDIR)/usr/lib/qiime
	rm -rf $(ROOTDIR)/usr/lib/qiime/shell/.svn
	chmod -R a+rX $(ROOTDIR)/usr/lib/qiime/shell
	chmod -R go-w $(ROOTDIR)/usr/lib/qiime/shell
	rm -rf $(ROOTDIR)/etc/qiime/qiime_config
	install -m 644 debian/scripts/qiime_config $(ROOTDIR)/etc/qiime/qiime_config
	# Lintian complains about case of ChangeLog.gz
	( cd $(ROOTDIR)/usr/share/doc/`dh_listpackages` ; mv ChangeLog.gz changelog.gz || true )
	# And about the existence of /usr/qiime
	mv $(ROOTDIR)/usr/qiime/support_files $(ROOTDIR)/usr/lib/qiime && rmdir $(ROOTDIR)/usr/qiime

=== debian/watch ===
version=3
http://sf.net/qiime/Qiime-([.0-9]+)\.tar\.gz

## qiime 1.4.0

=== debian/changelog ===
qiime (1.4.0-2) unstable; urgency=low

  * debian/qiime.install: Include *.py files
    Closes: #668999

 -- Andreas Tille <tille@debian.org>  Mon, 16 Apr 2012 15:39:02 +0200

qiime (1.4.0-1) unstable; urgency=low

  * New upstream version (updated patches)
  * debian/patches/fix_shebang_lines.patch: Removed because file
    to patch was removed upstream
  * debian/copyright: rewritten to confirm DEP5 and verified using
      cme fix dpkg-copyright

 -- Andreas Tille <tille@debian.org>  Tue, 20 Mar 2012 14:41:20 +0100

qiime (1.3.0-3) unstable; urgency=low

  [ Charles Plessy ]
  * renamed debian/upstream-metadata.yaml to debian/upstream

  [ Andreas Tille ]
  * Standards-Version: 3.9.3 (no changes needed)
  * debian/patches/ghc_7.4.2_compatibility.patch: Fix build problem based
    on illegal use of 'import System' (Thanks to Joachim Breitner
    <nomeata@debian.org>) for the patch
    Closes: #663889

 -- Andreas Tille <tille@debian.org>  Sat, 17 Mar 2012 19:19:38 +0100

qiime (1.3.0-2) unstable; urgency=low

  * debian/control:
    - Added myself to uploaders
    - moved from contrib/science to science because there are
      no non-free components used any more
    - Removed duplicated entry ${misc:Depends}
    - Extra package qiime-doc arch all to avoid
    - Provides/Replaces/Conflicts denoiser
    - Fix Vcs fields
    - DM-Upload-Allowed: yes
    - Build-Depends:
       + python-all-dev (>= 2.6) (instead of python-central)
       + python-sphinx to create python documentation
  * debian/rules:
    - short dh notation instead of cdbs
      Closes: #639389
    - allow overriding python2 by environemnt which helps backporters
      like Tim for BioLinux
    - use calculated $(pkg) variable instead of fixed string 'qiime'
  * debian/{rules,qiime.install}: Adapted to new binary package layout
  * debian/qiime.{doc,links}: Move documentation into place and use
    packaged JavaScript libraries
  * debian/qiime-doc.doc-base
  * debian/upstream-metadata.yaml

 -- Andreas Tille <tille@debian.org>  Tue, 29 Nov 2011 09:23:18 +0100

qiime (1.3.0-0ubuntu6) lucid; urgency=low

  * Attempt to fix some errors reported by print_qiime_config -t
    Fixes to environment, configuration and small patches 

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 02 Nov 2011 18:06:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,28 @@
 Source: qiime
-Section: contrib/science
+Section: science
 Priority: extra
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>, Tim Booth <tbooth@ceh.ac.uk>
-Build-Depends: debhelper (>= 8), cdbs, python, python-central, python-cogent ( >= 1.5.1 ), python-numpy, python-matplotlib, ghc6
-Standards-Version: 3.9.2
-Homepage: http://qiime.sourceforge.net/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/qiime/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/qiime/trunk/
+Uploaders: Steffen Moeller <moeller@debian.org>, Tim Booth <tbooth@ceh.ac.uk>,
+ Andreas Tille <tille@debian.org>
+DM-Upload-Allowed: yes
+Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6), python-cogent ( >= 1.5.1 ),
+ python-numpy, python-matplotlib, ghc6, python-sphinx
+Standards-Version: 3.9.3
+Homepage: http://www.qiime.org/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/qiime/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/qiime/trunk/
 XS-Python-Version: >= 2.6
 
 Package: qiime
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Depends}, ${python:Depends}, python-pynast (>= 1.1)|pynast (>= 1.1), python-cogent ( >= 1.5.1 )
-Recommends: blast2 | blast+-legacy, cd-hit, rdp-classifier, chimeraslayer, muscle, infernal, fasttree, ampliconnoise, python-matplotlib, python-numpy
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+ python-pynast (>= 1.1)|pynast (>= 1.1), python-cogent ( >= 1.5.1 )
+Recommends: blast2 | blast+-legacy, cd-hit, rdp-classifier, chimeraslayer, muscle, infernal,
+ fasttree, ampliconnoise, python-matplotlib, python-numpy
+Suggests: t-coffee, cytoscape
+Replaces: denoiser
 Conflicts: denoiser
-Replaces: denoiser
-#Provides: denoiser # matter of discussion
-Suggests: t-coffee, cytoscape
+Provides: denoiser
 XB-Python-Version:  ${python:Versions}
 Description: Quantitative Insights Into Microbial Ecology
  QIIME (canonically pronounced ‘Chime’) is a pipeline for performing
@@ -53,3 +58,44 @@
  a cluster environment. QIIME is built in Python using the open-source
  PyCogent toolkit. It makes extensive use of unit tests, and is highly
  modular to facilitate custom analyses.
+
+Package: qiime-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Description:  Quantitative Insights Into Microbial Ecology (tutorial)
+ QIIME (canonically pronounced ‘Chime’) is a pipeline for performing
+ microbial community analysis that integrates many third party tools which
+ have become standard in the field. A standard QIIME analysis begins with
+ sequence data from one or more sequencing platforms, including
+  * Sanger,
+  * Roche/454, and 
+  * Illumina GAIIx.
+ With all the underlying tools installed,
+ of which not all are yet available in Debian (or any other Linux
+ distribution), QIIME can perform
+  * library de-multiplexing and quality filtering;
+  * denoising with PyroNoise;
+  * OTU and representative set picking with uclust, cdhit, mothur, BLAST,
+    or other tools;
+  * taxonomy assignment with BLAST or the RDP classifier;
+  * sequence alignment with PyNAST, muscle, infernal, or other tools;
+  * phylogeny reconstruction with FastTree, raxml, clearcut, or other tools;
+  * alpha diversity and rarefaction, including visualization of results,
+    using over 20 metrics including Phylogenetic Diversity, chao1, and
+    observed species;
+  * beta diversity and rarefaction, including visualization of results,
+    using over 25 metrics including weighted and unweighted UniFrac,
+    Euclidean distance, and Bray-Curtis;
+  * summarization and visualization of taxonomic composition of samples
+    using pie charts and histograms
+ and many other features.
+ .
+ QIIME includes parallelization capabilities for many of the
+ computationally intensive steps. By default, these are configured to
+ utilize a mutli-core environment, and are easily configured to run in
+ a cluster environment. QIIME is built in Python using the open-source
+ PyCogent toolkit. It makes extensive use of unit tests, and is highly
+ modular to facilitate custom analyses.
+ .
+ This package contains the documentation and a tutorial.

## qiime 1.5.0

=== debian/changelog ===
qiime (1.5.0-2) unstable; urgency=low

  * debian/control:
     - Recommends: python-biom-format
       Closes: #682199
     - Depends: python >= 2.7
       Closes: #682198
  * debian/get-orig-source: For next release use xz compression of
    repackaged source
  * debian/rules: use xz compression

 -- Andreas Tille <tille@debian.org>  Mon, 06 Aug 2012 09:22:42 +0200

qiime (1.5.0-1) unstable; urgency=low

  * New upstream version (adapted patches + remove patch that was applied
    upstream)
  * debian/get-orig-source: Strip *.jar file from upstream source which
    should never have been there
  * debian/upstream:
     - more complete authors information in BibTeX conform format
     - Moved DOI+PMID to References
  * debian/qiime.links: Link to king.jar
  * debian/control: Depends: king
  * debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Tue, 08 May 2012 18:07:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,21 @@
 Uploaders: Steffen Moeller <moeller@debian.org>, Tim Booth <tbooth@ceh.ac.uk>,
  Andreas Tille <tille@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), python-all-dev (>= 2.6), python-cogent ( >= 1.5.1 ),
+Build-Depends: debhelper (>= 9), python-all-dev (>= 2.7), python-cogent ( >= 1.5.1 ),
  python-numpy, python-matplotlib, ghc6, python-sphinx
 Standards-Version: 3.9.3
 Homepage: http://www.qiime.org/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/qiime/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/qiime/trunk/
-XS-Python-Version: >= 2.6
+XS-Python-Version: >= 2.7
 
 Package: qiime
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- python-pynast (>= 1.1)|pynast (>= 1.1), python-cogent ( >= 1.5.1 )
+ python-pynast (>= 1.1)|pynast (>= 1.1), python-cogent ( >= 1.5.1 ),
+ king
 Recommends: blast2 | blast+-legacy, cd-hit, rdp-classifier, chimeraslayer, muscle, infernal,
- fasttree, ampliconnoise, python-matplotlib, python-numpy
+ fasttree, ampliconnoise, python-matplotlib, python-numpy, python-biom-format
 Suggests: t-coffee, cytoscape
 Replaces: denoiser
 Conflicts: denoiser

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for Qiime
# Tim Booth <tbooth@ceh.ac.uk>, Andreas Tille <tille@debian.org>
# GPL

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

#Allowing this to be overridden by environemnt helps with backports
DEB_PYTHON_SUPPORT?=python2

%:
	dh $@ --with $(DEB_PYTHON_SUPPORT)

override_dh_compress:
	dh_compress \
	    --exclude=.js \
	    --exclude=.sff \
	    --exclude=.qual \
	    --exclude=.fna \
	    --exclude=.fna.txt

override_dh_builddeb:
	dh_builddeb -- -Z xz

override_dh_clean:
	dh_clean
	rm -rf doc/_build
	( cd $(pkg)/support_files/denoiser/FlowgramAlignment && make clean ) || true
	rm -f $(pkg)/support_files/denoiser/bin/*

export ROOTDIR=debian/$(pkg)

#Lots of shuffling to be done...
# Python scripts go into /usr/lib/$(pkg)/bin (not /usr/bin)
# Helper script goes into /usr/bin
# Setup scripts go into /usr/lib/$(pkg)/shell
# Default configuration goes into /etc/$(pkg)/default_qiime_config
# ...or maybe it should be copied to $HOME/.qiime_config on 1st run?
override_dh_install:
	dh_install
	chmod a+x $(ROOTDIR)/usr/lib/$(pkg)/bin/uclust
	chmod -R a+rX $(ROOTDIR)/usr/lib/$(pkg)/shell

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3
http://sf.net/qiime/Qiime-([.0-9]+)\.tar\.gz \
  debian debian/get-orig-source

## qiime 1.7.0+dfsg

=== qiime/support_files/denoiser/FlowgramAlignment/Makefile ===
GHC = ghc

all: FlowgramAli_4frame

FlowgramAli_4frame: FlowgramAli_4frame.lhs
	ghc --make -O2 FlowgramAli_4frame
	cp FlowgramAli_4frame ../../../../scripts/
# On ghc7+ consider using -with-rtsopts="-H100M" for increased speed

clean:
	rm *.o
	rm *.hi
	rm FlowgramAli_4frame
	rm ../../../../scripts/FlowgramAli_4frame

=== debian/changelog ===
qiime (1.7.0+dfsg-1) unstable; urgency=low

  * Upload preparations done for BioLinux to Debian

 -- Andreas Tille <tille@debian.org>  Mon, 17 Jun 2013 18:28:26 +0200

qiime (1.7.0-0biolinux1) precise; urgency=low

  * New usptream
  * Adopt new naming convention for bl releases
  * Add usearch script to match uclust warning message
  * Re-fix biom-format script aliases (as links, needed for script to see them)
  * Clean out old patches
  * Patch to fix significant typo in error message
  * Patch to stop warning for matplotlib
  * Depend on newer Pynast (Pynast now maintained along with QIIME)

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 11 Jun 2013 16:49:19 +0100

qiime (1.6.0-0ubuntu2) precise; urgency=low

  * Add some aliases so that the python-biom-format tools can be
    called with .py extensions inside the qiime shell, because this 
    is consistent with what QIIME users expect.

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 02 May 2013 15:05:34 +0100

qiime (1.6.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * Don't bother re-packing the tarball for PPA.  Package now
    builds the same with re-packed or pristine.
  * Remove t-test bug patch as this is in upstream
  * Re-jig RDP version patch which is simplified but still needed
  * Note the upstream no longer includes an example parameters.txt

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 04 Jan 2013 12:51:49 +0000

qiime (1.5.0+repack-2ubuntu11) precise; urgency=low

  [Tim Booth]
  * The support_files patch only solved part of the problem,
    so trying a different, and simpler, tack.
  * Changes from Debian:

  [Andreas Tille]
   * debian/rules: Use xz compression for binary packages

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 20 Nov 2012 12:26:24 +0000

qiime (1.5.0+dfsg-1) unstable; urgency=low

  * debian/copyright: - Add Files-Excluded to document what was removed
    from original source
  * debian/watch: Enable '+dfsg' / '+repack' suffix in Debian versions
  * debian/control:
     - Remove DM-Upload-Allowed
     - Standards-Version: 3.9.4 (no changes needed)
     - Priority: optional (per Debian Med policy)
     - normalised format
     - Build-Depends: ghc (instead of ghc6)
       Closes: #710774

 -- Andreas Tille <tille@debian.org>  Wed, 29 Aug 2012 14:30:02 +0200

qiime (1.5.0+repack-2ubuntu10) precise; urgency=low

  * Made QIIME accept RDP classifier >2.2 though the patch is
    a total hack.  Solves issue reported by MJC.
  * Add patch to make QIIME look in the Debian standard location
    for king.jar and other support_files
  * Added patch to fix alpha diversity bug and tested by running
    test_compare_alpha_diversities.py
  * QIIME now needs python-cogent 1.5.3

 -- Tim Booth <tbooth@ceh.ac.uk>  Wed, 14 Nov 2012 09:59:24 +0000

qiime (1.5.0+repack-2ubuntu5) precise; urgency=low

  * Tweaked startup script to report the QIIME version

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 11 Oct 2012 13:49:35 +0100

qiime (1.5.0+repack-2ubuntu4) precise; urgency=low

  * Remove python26_trim_sff_primers.patch as Qiime now requires 
    2.7 anyway
  * Avoid calling dh_auto_clean at all as it triggers a partial
    rebuild
  * Added various support files in /usr/share/qiime/support_files
  * Added various symlinks as Qiime wants everything in one place
  * Set python-biom-format as a hard dependency because even built-in
    self-test won't start without it
  * Added patch to self-test where it looks for default config file
  * Modified to work with new RDP-classifier package

 -- Tim Booth <tbooth@ceh.ac.uk>  Tue, 14 Aug 2012 17:53:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,18 @@
 Source: qiime
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>, Tim Booth <tbooth@ceh.ac.uk>,
- Andreas Tille <tille@debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), python-all-dev (>= 2.7), python-cogent ( >= 1.5.1 ),
- python-numpy, python-matplotlib, ghc6, python-sphinx
-Standards-Version: 3.9.3
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Tim Booth <tbooth@ceh.ac.uk>,
+           Andreas Tille <tille@debian.org>
+Build-Depends: debhelper (>= 9),
+               python-all-dev (>= 2.7),
+               python-cogent ( >= 1.5.3 ),
+               python-numpy,
+               python-matplotlib,
+               ghc,
+               python-sphinx
+Standards-Version: 3.9.4
 Homepage: http://www.qiime.org/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/qiime/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/qiime/trunk/
@@ -15,16 +20,30 @@
 
 Package: qiime
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- python-pynast (>= 1.1)|pynast (>= 1.1), python-cogent ( >= 1.5.1 ),
- king
-Recommends: blast2 | blast+-legacy, cd-hit, rdp-classifier, chimeraslayer, muscle, infernal,
- fasttree, ampliconnoise, python-matplotlib, python-numpy, python-biom-format
-Suggests: t-coffee, cytoscape
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python:Depends},
+         pynast (>= 1.2),
+         python-cogent ( >= 1.5.3 ),
+         king,
+         python-biom-format
+Recommends: blast2 | blast+-legacy,
+            cd-hit,
+            rdp-classifier,
+            chimeraslayer,
+            muscle,
+            infernal,
+            fasttree,
+            ampliconnoise,
+            python-matplotlib,
+            python-numpy,
+            libjs-jquery
+Suggests: t-coffee,
+          cytoscape
 Replaces: denoiser
 Conflicts: denoiser
 Provides: denoiser
-XB-Python-Version:  ${python:Versions}
+XB-Python-Version: ${python:Versions}
 Description: Quantitative Insights Into Microbial Ecology
  QIIME (canonically pronounced ‘Chime’) is a pipeline for performing
  microbial community analysis that integrates many third party tools which
@@ -63,8 +82,10 @@
 Package: qiime-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
-Description:  Quantitative Insights Into Microbial Ecology (tutorial)
+Depends: ${misc:Depends},
+         libjs-jquery,
+         libjs-underscore
+Description: Quantitative Insights Into Microbial Ecology (tutorial)
  QIIME (canonically pronounced ‘Chime’) is a pipeline for performing
  microbial community analysis that integrates many third party tools which
  have become standard in the field. A standard QIIME analysis begins with

=== debian/rules ===
--- 
+++ 
@@ -23,14 +23,17 @@
 	    --exclude=.fna \
 	    --exclude=.fna.txt
 
-override_dh_builddeb:
-	dh_builddeb -- -Z xz
-
-override_dh_clean:
-	dh_clean
+override_dh_auto_clean:
+	#Calling "python setup.py clean -a" actually triggers a
+	#rebuild, so don't do it.
+	rm -rf build
 	rm -rf doc/_build
 	( cd $(pkg)/support_files/denoiser/FlowgramAlignment && make clean ) || true
 	rm -f $(pkg)/support_files/denoiser/bin/*
+	#In case the tarball was not re-packed, remove any .jars
+	find -name '*.jar' -delete
+	#And in case any Python script was run, remove the .pyc
+	find qiime scripts -name '*.pyc' -delete
 
 export ROOTDIR=debian/$(pkg)
 
@@ -39,11 +42,33 @@
 # Helper script goes into /usr/bin
 # Setup scripts go into /usr/lib/$(pkg)/shell
 # Default configuration goes into /etc/$(pkg)/default_qiime_config
-# ...or maybe it should be copied to $HOME/.qiime_config on 1st run?
+# ...see debian/*.install files
 override_dh_install:
 	dh_install
-	chmod a+x $(ROOTDIR)/usr/lib/$(pkg)/bin/uclust
-	chmod -R a+rX $(ROOTDIR)/usr/lib/$(pkg)/shell
+	chmod a+x $(ROOTDIR)/usr/lib/qiime/bin/uclust || true
+	chmod a+x $(ROOTDIR)/usr/lib/qiime/bin/usearch* || true
+	chmod -R a+rX $(ROOTDIR)/usr/lib/qiime/shell || true
+	chmod a-x $(ROOTDIR)/usr/share/qiime/support_files/R/* || true
+	chmod a-x $(ROOTDIR)/usr/share/qiime/support_files/js/* || true
+	#Fix lintian warning for jquery
+	rm $(ROOTDIR)/usr/share/qiime/support_files/js/jquery.js && \
+	    ln -s /usr/share/javascript/jquery/jquery.js $(ROOTDIR)/usr/share/qiime/support_files/js
+	#Make some symlinks as Qiime assumes a single dir structure
+	for path in denoiser/Data css images R js ; do \
+		dh_link -pqiime /usr/share/qiime/support_files/"$$path" /usr/lib/qiime/support_files/"$$path" ;\
+	done
 
 override_dh_installchangelogs:
-	dh_installchangelogs ChangeLog
+	dh_installchangelogs ChangeLog.md
+
+override_dh_builddeb:
+	dh_builddeb -- -Z xz
+
+# Remark: The following uscan command requires devscripts > 2.12.4 which is not
+#         yet released at the time of this package release.  The code can be obtained
+#         via
+#   git clone git://tille@git.debian.org/git/users/tille/devscripts.git
+#         and then use scripts/uscan.pl
+get-orig-source:
+	mkdir -p ../tarballs
+	uscan --verbose --force-download  --destdir=../tarballs --repack-compression xz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+.*// \
  ftp://thebeast.colorado.edu/pub/qiime-releases/[Qq]iime-([.0-9]+)\.tar\.gz
#  debian debian/get-orig-source

## qiime 1.8.0%2Bdfsg

=== debian/watch ===
version=3
opts=uversionmangle=s/$/+dfsg/ \
  https://github.com/qiime/qiime/releases .*/qiime/archive/([.0-9]+)\.tar\.gz

## qiime 1.8.0+dfsg

=== requirements.txt ===
cogent>=1.5.3
matplotlib=1.1.0
numpy>=1.5.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/qiime.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/qiime.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== qiime/support_files/denoiser/FlowgramAlignment/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # On ghc7+ consider using -with-rtsopts="-H100M" for increased speed
 
 clean:
-	rm *.o
-	rm *.hi
-	rm FlowgramAli_4frame
-	rm ../../../../scripts/FlowgramAli_4frame
+	rm -f *.o
+	rm -f *.hi
+	rm -f FlowgramAli_4frame
+	rm -f ../../../../scripts/FlowgramAli_4frame

=== debian/changelog ===
qiime (1.8.0+dfsg-2) unstable; urgency=medium

  * debian/qiime.links: Fix links to new biom_format
  * debian/control:
     - New dependency: python-qcli (this should be dropped in version
       2.0 of qiime)
     - Recommends: python-mpi4py since this is used in some tests
  * debian/rules: Remove remainings from running test suite

 -- Andreas Tille <tille@debian.org>  Thu, 26 Dec 2013 07:39:57 +0100

qiime (1.8.0+dfsg-1) unstable; urgency=low

  * New upstream version
  * Fixed debian/watch
  * Suggests: torque-client
    Closes: #721902
  * debian/control:
     - cme fix dpkg-control
     - rdp-classifier can only be suggested since it is not in Debian
       and currently it seems that it can only go into non-free
     - Canonical Vcs URLs
  * debian/patches/prevent_google_addsense.patch: Remove Google Addsense
    from user documentation to save user privacy

 -- Andreas Tille <tille@debian.org>  Sat, 21 Dec 2013 08:50:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: qiime
-Section: science
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Tim Booth <tbooth@ceh.ac.uk>,
            Andreas Tille <tille@debian.org>
+Section: science
+Priority: optional
 Build-Depends: debhelper (>= 9),
                python-all-dev (>= 2.7),
-               python-cogent ( >= 1.5.3 ),
+               python-cogent (>= 1.5.3),
                python-numpy,
                python-matplotlib,
                ghc,
                python-sphinx
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/qiime/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/qiime/trunk/
 Homepage: http://www.qiime.org/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/qiime/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/qiime/trunk/
-XS-Python-Version: >= 2.7
+X-Python-Version: >= 2.7
 
 Package: qiime
 Architecture: any
@@ -24,12 +24,12 @@
          ${misc:Depends},
          ${python:Depends},
          pynast (>= 1.2),
-         python-cogent ( >= 1.5.3 ),
+         python-cogent (>= 1.5.3),
          king,
-         python-biom-format
+         python-biom-format,
+         python-qcli
 Recommends: blast2 | blast+-legacy,
             cd-hit,
-            rdp-classifier,
             chimeraslayer,
             muscle,
             infernal,
@@ -37,13 +37,15 @@
             ampliconnoise,
             python-matplotlib,
             python-numpy,
+            python-mpi4py,
             libjs-jquery
 Suggests: t-coffee,
-          cytoscape
-Replaces: denoiser
+          cytoscape,
+          rdp-classifier,
+          torque-client
 Conflicts: denoiser
 Provides: denoiser
-XB-Python-Version: ${python:Versions}
+Replaces: denoiser
 Description: Quantitative Insights Into Microbial Ecology
  QIIME (canonically pronounced ‘Chime’) is a pipeline for performing
  microbial community analysis that integrates many third party tools which
@@ -80,8 +82,8 @@
  modular to facilitate custom analyses.
 
 Package: qiime-doc
+Architecture: all
 Section: doc
-Architecture: all
 Depends: ${misc:Depends},
          libjs-jquery,
          libjs-underscore

=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,9 @@
 	find -name '*.jar' -delete
 	#And in case any Python script was run, remove the .pyc
 	find qiime scripts -name '*.pyc' -delete
+	# Remove remainings from running the test suite
+	rm -f BLAST_temp_db*
+	rm -rf jobs
 
 export ROOTDIR=debian/$(pkg)

=== debian/watch ===
version=3
opts=dversionmangle=s/[~\+]dfsg// \
  https://github.com/qiime/qiime/releases /qiime/qiime/archive/([.0-9]+)\.tar\.gz
